Bug 8323 - x86_64 build: QMAKESPEC
: x86_64 build: QMAKESPEC
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/psi)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-23 22:22 by
Modified: 2006-08-29 15:59 (History)


Attachments
Proposed patch for psi spec (830 bytes, patch)
2005-10-23 22:23, Damir Shayhutdinov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-23 22:22:45
Из-за hardcoded QMAKESPEC в спеке сборка не возможна на архитектуре x86_64.
Для корректной сборки на 64-битной платформе требуется
QMAKESPEC="linux-g++-64".

Плюс в спеке есть hardcoded путь /usr/lib, вместо которого целесообразнее
использовать макрос %_libdir
------- Comment #1 From 2005-10-23 22:23:32 -------
Created an attachment (id=1212) [details]
Proposed patch for psi spec

Прилагаю патч, который делает возможным сборку под x86_64
------- Comment #2 From 2005-10-24 18:08:36 -------
В принципе можно вообще не определять QMAKESPEC (или делать его default), тогда
он 
будет по дефолту, а дефолтный указывает куда надо (на linux-g++  на x86 и на
linux-
g++-64 на x86_64).
------- Comment #3 From 2005-12-25 04:55:36 -------
Fixed in psi-0.10-alt2cvs20051215